### Method

# Gsk Transform skew

since: 4.6

#### Declaration [src]

    GskTransform*
    gsk_transform_skew (
      GskTransform* next,
      float skew_x,
      float skew_y
    )

#### Description [src]

Applies a skew transform.

This function consumes `next`. Use `gsk_transform_ref()` first if you want to keep it around.

Available since: 4.6

#### Parameters

`next`

  Type: `GskTransform`

  The next transform.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.

`skew_x`

  Type: `float`

  Skew factor, in degrees, on the X axis.

`skew_y`

  Type: `float`

  Skew factor, in degrees, on the Y axis.

#### Return value

Type: `GskTransform`

The new transform.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.